#!/usr/bin/env python3

# + and - cancel out so compute expected value before this point
str_n = input()
#0.9*[00] + 0.09*[01] + ... + 0.000...1*[0n-1]
# count how much each digit participates.
# then first digit appears in all, second in all but one, etc
exp = 0
for i in range(len(str_n)):
    exp += int(str_n[i]) * (0.9*(len(str_n) - i) + 0.1) * 10 ** (-i)
print(exp)
